## org.apache.ivy.util
Class Configurator.MacroRecord

    java.lang.Object
      org.apache.ivy.util.Configurator.MacroRecord

Enclosing class:
  Configurator

    public static class Configurator.MacroRecord

extends java.lang.Object

Constructor Summary
`Configurator.MacroRecord(java.lang.String name)`

Method Summary
`java.util.Map` `getAttributes()`
`java.util.List` `getChildren()`
`java.lang.String` `getName()`
`java.lang.Object` `getObject()`
`void` `recordAttribute(java.lang.String name, java.lang.String value)`
`Configurator.MacroRecord` `recordChild(java.lang.String name)`
`Configurator.MacroRecord` `recordChild(java.lang.String name, java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configurator.MacroRecord

    public Configurator.MacroRecord(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### recordAttribute

    public void recordAttribute(java.lang.String name,
                                java.lang.String value)

### recordChild

    public Configurator.MacroRecord recordChild(java.lang.String name)

### recordChild

    public Configurator.MacroRecord recordChild(java.lang.String name,
                                                java.lang.Object object)

### getAttributes

    public java.util.Map getAttributes()

### getChildren

    public java.util.List getChildren()

### getObject

    public java.lang.Object getObject()